local screenW,screenH = guiGetScreenSize()
local resW, resH = 1280,720
local x, y = (screenW/resW), (screenH/resH)
local components = { "area_name", "radio", "vehicle_name" }

function BSAHud ( ... )
    if (not isPlayerMapVisible()) then

        local Dinheiro = getPlayerMoney(localPlayer)
		local Banco = getElementData(localPlayer, "Bank:Caixa") or "0"
        local vida = math.floor(getElementHealth(getLocalPlayer()))
        local colete = math.floor(getPedArmor(getLocalPlayer()))
        local fome = getElementData(getLocalPlayer(), "lyFome") or 100
        local sede = getElementData(getLocalPlayer(), "lySede") or 100
		local passaporte = getElementData(getLocalPlayer(), "ID") or "N/A"

        dxDrawRectangle(screenW * 0.6602, screenH * 0.0236, screenW * 0.3195, screenH * 0.1472, tocolor(0, 0, 0, 152), false)
        dxDrawRectangle(screenW * 0.8688, screenH * 0.0250, screenW * 0.0453/100*fome, screenH * 0.0806, tocolor(255, 113, 27, 255), false)
        dxDrawRectangle(screenW * 0.9289, screenH * 0.0250, screenW * 0.0477/100*sede, screenH * 0.0806, tocolor(27, 107, 255, 255), false)
        dxDrawRectangle(screenW * 0.6609, screenH * 0.0250, screenW * 0.0977/100*vida, screenH * 0.1472, tocolor(254, 17, 17, 255), false)
        dxDrawRectangle(screenW * 0.7609, screenH * 0.0250, screenW * 0.1000/100*colete, screenH * 0.1472, tocolor(175, 175, 175, 255), false)
        dxDrawImage(screenW * 0.6578, screenH * 0.0222, screenW * 0.3266, screenH * 0.2042, "files/Icons/hud.png", 0, 0, 0, tocolor(255, 255, 255, 255), false)
        dxDrawText(" "..Dinheiro, screenW * 0.6750, screenH * 0.1958, screenW * 0.7508, screenH * 0.2264, tocolor(255, 255, 255, 255), 1.00, "default", "center", "center", false, false, false, false, false)
        dxDrawText(" "..Banco, screenW * 0.7773, screenH * 0.1958, screenW * 0.8531, screenH * 0.2264, tocolor(255, 255, 255, 255), 1.00, "default", "center", "center", false, false, false, false, false)
        dxDrawText(" "..passaporte, 1122, 79, 1236, 118, tocolor(255, 255, 255, 255), 1.90, "default", "center", "center", false, false, false, false, false)
    end
end



function setHud()
    addEventHandler("onClientRender", getRootElement(), BSAHud)
    setPlayerHudComponentVisible("armour", false)
    setPlayerHudComponentVisible("wanted", false)
    setPlayerHudComponentVisible("weapon", false)
    setPlayerHudComponentVisible("money", false)
    setPlayerHudComponentVisible("health", false)
    setPlayerHudComponentVisible("clock", false)
    setPlayerHudComponentVisible("breath", false)
    setPlayerHudComponentVisible("ammo", false)

    for _, component in ipairs( components ) do
        setPlayerHudComponentVisible( component, false )
    end
end
addEventHandler("onClientResourceStart", getResourceRootElement(getThisResource()), setHud)

function removeHud()
    setPlayerHudComponentVisible("armour", true)
    setPlayerHudComponentVisible("wanted", true)
    setPlayerHudComponentVisible("weapon", true)
    setPlayerHudComponentVisible("money", true)
    setPlayerHudComponentVisible("health", true)
    setPlayerHudComponentVisible("clock", true)
    setPlayerHudComponentVisible("breath", true)
    setPlayerHudComponentVisible("ammo", true)
end
addEventHandler("onClientResourceStop", getResourceRootElement(getThisResource()), removeHud)